Ask Your Question
2

i am getting Error: system is not ready for upgrade while upgrading from fedora 23- 24

asked 2016-06-21 20:13:28 -0500

amit kumar gravatar image

hi guys, i did sudo dnf system-upgrade download --releasever=24 and got this Failed to synchronize cache for repo 'folkswithhats', disabling. Failed to synchronize cache for repo 'rpmfusion-nonfree-updates', disabling. after every packages downloaded then it shows Error: Package a52dec-0.7.4-19.fc24.x86_64.rpm is not signed and after that i did " sudo dnf system-upgrade reboot" and it shows system is not ready for upgrade

edit retag flag offensive close merge delete

Comments

I had a similar problem and required two options, --allowerasing --nogpgcheck. Everything wnet fine with an inordinate stop at installing systemd at 1991/4494. hardisk activity reassured me things were happening! Everything went blank and the system rebooted to the new menu. All apps worked fine except for mythtv(dissappeared) and teamviewer. I understand from another comment that rpmfusion is yet to go on line.Whew. I am having withdrawal symptoms without my TV!

nrama1 gravatar imagenrama1 ( 2016-06-22 05:09:57 -0500 )edit

i added -nogpgcheck and it works fine but loosed my wlan driver . though after updating the system it works smoothly. thank you for your help.

amit kumar gravatar imageamit kumar ( 2016-06-23 23:10:47 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
2

answered 2016-06-21 20:47:06 -0500

rimolive gravatar image

Try add --nogpgcheck. This will disable PGP signature check and it might upgrade your system (I highly recommend that you check this package and its origin).

For the "Failed to synchronize cache for repo 'folkswithhats', disabling. Failed to synchronize cache for repo 'rpmfusion-nonfree-updates', disabling", add --disablerepo folkswithhats and --disablerepo rpmfusion-nonfree-updates

edit flag offensive delete link more

Comments

thank you, but what to do with this Failed to synchronize cache for repo 'folkswithhats', disabling. how to enable it??

amit kumar gravatar imageamit kumar ( 2016-06-23 23:12:22 -0500 )edit

I've never heard of that repo. You'll have to look into the corresponding .repo file in /etc/yum.repos.d and see why it can't access the repo.

ssieb gravatar imagessieb ( 2016-07-14 16:05:35 -0500 )edit
1

answered 2016-06-21 23:05:20 -0500

ssieb gravatar image

rpmfusion is not quite ready for F24 yet. The F24 packages are still in the updates-testing repo and they aren't signed. The repos that dnf says it is disabling aren't a problem, it's the unsigned packages that are blocking the upgrade. As was mentioned, if you are daring, you can add --nogpgcheck to the upgrade command and it use those packages anyway.

edit flag offensive delete link more

Comments

The whole signing process is important, it is there for a reason. I would even suggest do remove that flag altogether. I recommend awaiting the upgrade until RPMFusion fully supports F24.

mithrial gravatar imagemithrial ( 2016-06-22 09:17:29 -0500 )edit

yes,its now working fine and everyday they are providing the updates.More important thing is that graphics is improved. thanks

amit kumar gravatar imageamit kumar ( 2016-06-23 23:13:29 -0500 )edit

Question Tools

Stats

Asked: 2016-06-21 20:13:28 -0500

Seen: 6,005 times

Last updated: Jun 21 '16